Skip to main content
POST
Create a New User
Applies to BloodHound Enterprise and CE

Authorizations

Authorization
string
header
required

Authorization: Bearer $JWT_TOKEN

Headers

Prefer
string
default:wait=30

Prefer header, used to specify a custom timeout in seconds using the wait parameter as per RFC7240. Passing in wait=-1 bypasses all timeout limits when the feature is enabled.

Pattern: ^wait=(-1|[0-9]+)$

Body

application/json

The request body for creating a user

first_name
string
last_name
string
email_address
string<email>
principal
string
roles
integer<int32>[]
saml_provider_id
string
deprecated

Deprecated. Use sso_provider_id instead.

sso_provider_id
object

ID of the SSO provider for this user

is_disabled
boolean
secret
string
needs_password_reset
boolean

Response

OK

data
object